'MCGDTI' <- function(ped,mcsize,header=F, loci = NULL, status_missing=9,af=NULL){

  marker.name <- NULL
  if (is.character(ped)) {
    pedfile <- ped
    ped <- read.table(pedfile, header = header, as.is = T)
    n.loci <- (dim(ped)[2] - 6)/2
    if (header) {
      marker.name <- names(ped)[5 + 2 * (1:n.loci)]
    }
  }
  else if (is.data.frame(ped)) {
    n.loci <- (dim(ped)[2] - 6)/2
    marker.name <- names(ped)[5 + 2 * (1:n.loci)]
  }
  else if (is.matrix(ped)){
    n.loci <- (dim(ped)[2] - 6)/2
    if (!is.null(dimnames(ped)))
      marker.name <- dimnames(ped)[[2]][5 + 2 * (1:n.loci)]
  }

  if(is.na(status_missing)){

    ped[which(ped[,6] == 1),6] <-1

    ped[which(ped[,6] == 2),6] <-2

  }

  else if (status_missing!=0&status_missing!=9){

    ped[which(ped[,6] == 1),6] <-1

    ped[which(ped[,6] == 2),6] <-2

  }

  else if(status_missing==0&status_missing!=9){

    ped[which(ped[,6] == 0),6] <-1

    ped[which(ped[,6] == 1),6] <-1

    ped[which(ped[,6] == 2),6] <-2

  }  else if(status_missing!=0&status_missing==9){

    ped[which(ped[,6] == 9),6] <-1

    ped[which(ped[,6] == 1),6] <-1

    ped[which(ped[,6] == 2),6] <-2

}

  ped <- as.matrix(ped)
  if (is.character(loci)) {
    locifile <- loci
    loci.raw <- readLines(locifile)
    loci.raw2 <- strsplit(loci.raw, " ")
    n.loci.2 <- as.integer(loci.raw2[[1]][1])
    if (n.loci != n.loci.2)
      stop("Numbers of loci in pedigree data and marker data don't match")
    af <- matrix(0, nrow = 2, ncol = n.loci)
    for (i in 1:n.loci) af[, i] <- as.numeric(loci.raw2[[3 +
                                                           i * 2]][1:2])
    if ("#" %in% strsplit(loci.raw[4], "") && is.null(marker.name)) {
      marker.name <- character(n.loci)
      for (i in 1:n.loci) marker.name[i] <- strsplit(loci.raw[2 +
                                                                i * 2], "#")[[1]][2]
    }
  }
  else if (is.null(af)[1]) {
    af <- matrix(0, ncol = n.loci, nrow = 2)
    no.allele <- 2
    for (i in 1:n.loci) {
      founder.geno <- ped[ped[, 3] == 0, 6 + (i - 1) *
                            2 + 1:2]
      if (sum((founder.geno > 0) * no.allele) == 0) {
        af[1, i] <- 0
        af[2, i] <- 0
      }
      else {
        af[1, i] <- sum((founder.geno == 1) * no.allele)/sum((founder.geno >
                                                                0) * no.allele)
        af[2, i] <- 1 - af[1, i]
      }
    }
  }
  if (is.null(dimnames(af)) && is.null(marker.name)) {
    marker.name <- paste("Marker", 1:n.loci)
    dimnames(af) <- list(1:2, marker.name)
  }
  else if (!is.null(dimnames(af)) && is.null(marker.name))
    marker.name <- dimnames(af)[[2]]


  if(sum(ped[, 7:(6 + 2 * n.loci)] == 0) < 0.1){

    ped1 <- ped
    pedtotal <- pedig(ped1)
    s_ped<-matrix(0,1,dim(ped)[2])
    pvalue <- matrix(0, ncol = 3, nrow = n.loci)
    dimnames(pvalue) <- list(marker.name, c("GDTI", "GDT-ME", "PPAT"))
    Tstat <- matrix(0, ncol = 3, nrow = n.loci)
    dimnames(Tstat) <- list(marker.name, c("GDTI", "GDT-ME", "PPAT"))
    for (p in 1:pedtotal$j) {

      ped <- ped1[pedtotal$perpost[p, 2]:pedtotal$perpost[p,3], ]
      n.ind <- dim(ped)[1]
      ped.make <- makeped(cbind(ped[, 1:5], 1:n.ind))
      ped.make <- cbind(ped.make[, 1:9], ped[ped.make[,10], c(6, 6 + 1:(2 * n.loci))])
      ped <- ped.make[, c(1:4, 8, 10, 10 + 1:(2 * n.loci))]
      s_ped<-rbind(s_ped,ped)
      s_ped<-s_ped[-1,]
    }
    for(i in 1:n.loci){

      result <- GDTI(s_ped[, c(1:6, (5:6) + i * 2)])
      GDTI_sco1<- result$S[1]
      GDTI_sco2<- result$S[2]
      GDTI_info11<- result$S[3]
      GDTI_info22<- result$S[4]
      GDTI_info12<- result$S[5]
      GDTI_Score<- c(GDTI_sco1, GDTI_sco2)
      GDTI_Var<- matrix(c(GDTI_info11, GDTI_info12, GDTI_info12, GDTI_info22),2,2)
      if(qr(GDTI_Var)$rank< dim(GDTI_Var)[1]){
        Tstat[i, "GDTI"]<- 0
        pvalue[i, "GDTI"]<- 1
      }
      else{
        Tstat[i, "GDTI"]<- t(GDTI_Score)%*%(-solve(GDTI_Var))%*%t(t(GDTI_Score))
        pvalue[i, "GDTI"] <- 1-pchisq(abs(Tstat[i, "GDTI"]),2)
      }

      result <- GDT_ME(s_ped[, c(1:6, (5:6) + i * 2)])
      GDT_Score<- result$pat.nu
      GDT_Var<- sum(GDT_Score^2)
      if(GDT_Var==0){
        Tstat[i, "GDT-ME"]<- 0
        pvalue[i, "GDT-ME"]<- 1
      }
      else{
        Tstat[i, "GDT-ME"]<- sum(GDT_Score)/sqrt(GDT_Var)
        pvalue[i, "GDT-ME"]<- 2 * (1 - pnorm(abs(Tstat[i, "GDT-ME"])))
      }
      result_PPAT <- PPAT(s_ped[, c(1:6, (5:6) + i * 2)])$pat.ab
      var_PPAT <- sum(result_PPAT^2)
      if (var_PPAT == 0) {
        pvalue[i, "PPAT"] <- 1
        Tstat[i, "PPAT"] <- 0
      }
      else {
        Tstat[i, "PPAT"] <- sum(result_PPAT)/sqrt(var_PPAT)
        pvalue[i, "PPAT"] <- 2 * (1 - pnorm(abs(Tstat[i, "PPAT"])))
      }

    }
  }
  else{
    pvalue <- matrix(0, ncol = 3, nrow = n.loci)
    dimnames(pvalue) <- list(marker.name, c("MCGDTI","MCGDT-ME","MCPPAT"))

    Tstat <- matrix(0, ncol = 3, nrow = n.loci)
    dimnames(Tstat) <- list(marker.name, c("MCGDTI","MCGDT-ME","MCPPAT"))

    MCGDTI_score<-matrix(0,n.loci,2); MCGDT_score<-matrix(0,1,n.loci)
    MCGDTI_Var<-matrix(0,2*n.loci,2); MCGDT_Var<-matrix(0,1,n.loci)

    ped1 <- ped
    ped2<- matrix(,,dim(ped1)[2])
    pedtotal <- pedig(ped1)
    Tste_NUM <- array(0, dim = c(pedtotal$j, n.loci, 1))
    Tste_VAR <- array(0, dim = c(pedtotal$j, n.loci, 1))

    for (p in 1:pedtotal$j) {

      ped <- ped1[pedtotal$perpost[p, 2]:pedtotal$perpost[p,3], ]
      n.ind <- dim(ped)[1]
      ped.make <- makeped(cbind(ped[, 1:5], 1:n.ind))
      ped.make <- cbind(ped.make[, 1:9], ped[ped.make[,10], c(6, 6 + 1:(2 * n.loci))])
      ped <- ped.make[, c(1:4, 8, 10, 10 + 1:(2 * n.loci))]
      n.family <- length(unique(ped[, 1]))
      n.ind <- dim(ped)[1]
      offpos <- which(ped[, 3] != 0)
      no.off <- length(offpos)
      offused <- rep(0, no.off)
      nufampos <- numeric(0)
      nufampos.fm <- numeric(0)
      nufam.id <- numeric(0)
      orifam.id <- numeric(0)
      i <- 0
      repeat {
        off <- offpos[offused == 0][1]
        if (is.na(off))
          break
        i <- i + 1
        fid <- ped[off, 3]
        mid <- ped[off, 4]
        fpos <- which(ped[, 1] == ped[off, 1] & ped[, 2] == fid)
        mpos <- which(ped[, 1] == ped[off, 1] & ped[, 2] == mid)
        alloff <- which(ped[, 1] == ped[off, 1] & ped[, 3] == fid & ped[, 4] == mid)
        offused[match(alloff, offpos)] <- 1
        allpos <- c(fpos, mpos, alloff)
        nufampos.fm <- c(nufampos.fm, length(nufampos) + 1:2)
        nufampos <- c(nufampos, allpos)
        nufam.id <- c(nufam.id, rep(i, length(allpos)))
        orifam.id <- c(orifam.id, rep(ped[off, 1], length(allpos)))
      }
      n.ind.nuclear <- length(nufampos)
      Tst_NUM <- array(0, dim = c(1, n.loci, 1))
      Tst_VAR <- array(0, dim = c(1, n.loci, 1))

      for (i in 1:n.loci){

        ped.mc <- slink(cbind(ped.make[, c(1:9,10 + (i - 1) * 2 + 1:2)], 1), af[, i], mcsize, sexlinked = FALSE)
        ped.mc <- cbind(ped.mc[, c(1:4, 8)], ped[, 6], ped.mc[, 9 + 1:2])
        nuclear.ped.mc <- ped.mc[rep(n.ind * 0:(mcsize - 1), each = n.ind.nuclear) + nufampos, ]
        nuclear.ped.mc[, 1] <- rep(0:(mcsize - 1) * max(nufam.id), each = n.ind.nuclear) + nufam.id
        nuclear.ped.mc[rep(n.ind.nuclear * 0:(mcsize - 1), each = length(nufampos.fm)) + nufampos.fm, 3:4] <- 0
        nuclear.ped.mc <- cbind(nuclear.ped.mc, rep(0:(mcsize - 1) * max(orifam.id), each = n.ind.nuclear) + orifam.id)
        result <- PPAT.mc(nuclear.ped.mc, mcsize = mcsize)
        Tst_NUM[1, i, 1] <- result$NUM_MCPPAT
        Tst_VAR[1, i, 1] <- result$VAR_MCPPAT

        result <- MC_GDTI(ped.mc,mcsize=mcsize,ped)
        MCGDTI_score[i,]<-  MCGDTI_score[i,] + result$Score
        MCGDTI_Var[(i-1) * 2 + 1:2,] <- MCGDTI_Var[(i-1) * 2 + 1:2,] + result$Infor

        result <- MCGDT_ME(ped.mc,mcsize=mcsize)
        MCGDT_score[i] <- MCGDT_score[i] + result$Score
        MCGDT_Var[i] <- MCGDT_Var[i] + result$Var
      }
      Tste_NUM[p, , ] <- Tst_NUM[1, , ]
      Tste_VAR[p, , ] <- Tst_VAR[1, , ]
    }

    for(i in 1:n.loci){
      if(qr(MCGDTI_Var[(i-1) * 2 + 1:2,])$rank< dim(MCGDTI_Var[(i-1) * 2 + 1:2,])[1]){
        Tstat[i, "MCGDTI"]=1} else{
          Tstat[i, "MCGDTI"]<- t(MCGDTI_score[i,])%*%(-solve(MCGDTI_Var[(i-1) * 2 + 1:2,]))%*%t(t(MCGDTI_score[i,]))
        }
      Tstat[i, "MCGDT-ME"] <-  MCGDT_score[i]/sqrt( MCGDT_Var[i] )
      pvalue[i,"MCGDTI"] <- 1-pchisq( abs( Tstat[i, "MCGDTI"] ), 2 )
      pvalue[i,"MCGDT-ME"] <- 2 * ( 1 - pnorm(abs( Tstat[i, "MCGDT-ME"] )))
    }

    num_MCPPAT <- apply(matrix(Tste_NUM[, , 1], nrow = pedtotal$j, ncol = n.loci), 2, sum)
    var_MCPPAT <- apply(matrix(Tste_VAR[, , 1], nrow = pedtotal$j, ncol = n.loci), 2, sum)
    locinullPPAT <- which(var_MCPPAT == 0)
    Tstat[, "MCPPAT"] <- num_MCPPAT/sqrt(var_MCPPAT)
    Tstat[, "MCPPAT"][locinullPPAT] <- 0
    pvalue[, "MCPPAT"] <- 2 * (1 - pnorm(abs(Tstat[, "MCPPAT"])))
  }
  list(Tstat=Tstat, pvalue=pvalue)
}
