MC_GDT<- function(ped1, mcsize) {

#Generalized pedigree-based imprinting test

#Consider all the nuclear families with both parents
 
    family.id <- unique(ped1[,1])

    n.fam <- length(family.id)

    pat.nu <- rep(0,n.fam)

    for(i in 1:length(family.id)){
 
        ped<-  ped1[ which(ped1[,1]==family.id[i]), ]
  
        N <- length(ped[,2])

        aff <- which(ped[ ,6] == 2)

        unaff <- which(ped[ ,6] == 1)

        for(af1 in aff){

              imp_score1 <- sum(ped[af1,7:8]==1)

              for(unaf1 in unaff){

                  imp_score2 <- sum(ped[unaf1,7:8]==1)

                  pat.nu[i] <- pat.nu[i] + (imp_score1 - imp_score2)/N

                                      }
                               }
}

pat.nu <- t(matrix(pat.nu,,mcsize))

Dstat <- apply(pat.nu,2,mean)

Score= sum(Dstat)

Var=sum(Dstat^2)

list(Score=Score,Var=Var)

}