PPAT.mc<- function(ped,allele=NULL,mcsize=1){
    onesamplesize <- (dim(ped)[1])/mcsize
    ped1 <- ped[1:onesamplesize, ]
    n.family <- length(unique(ped1[, dim(ped)[2]]))
    n.marker <- (dim(ped)[[2]] - 7)/2
    informative <- NULL
    ncol.ped <- dim(ped)[2]
    ped.id.whole <- unique(ped[, ncol.ped])
    D.raw <- matrix(0, nrow = n.family * mcsize, ncol = n.marker)
    Dstat <- matrix(0, nrow = n.family, ncol = n.marker)
    father.index <- match(unique(ped[, 1]), ped[, 1])
    no.ind.nufam <- as.vector(table(ped[, 1]))
    for (i in 1:n.marker) {
        PA.nufam <- -sign(ped[father.index, 5 + i * 2] + ped[father.index,
            6 + i * 2] - ped[father.index + 1, 5 + i * 2] - ped[father.index +
            1, 6 + i * 2])
        PA.all <- rep(PA.nufam, no.ind.nufam)
        informative.all <- ped[, 3] != 0 & ped[, 6] == 2 & ped[,
            5 + i * 2] + ped[, 6 + i * 2] == 3
        PAT.all <- PA.all * informative.all
        D.raw[, i] <- xtabs(PAT.all ~ ped[, ncol.ped])
        Dstat[, i] <- apply(matrix(D.raw, ncol = mcsize), 1,
            mean)
    }
    each_MCPPAT <- Dstat
    NUM_MCPPAT <- sum(each_MCPPAT)
    VAR_MCPPAT <- sum(each_MCPPAT^2)
    list(NUM_MCPPAT = NUM_MCPPAT, VAR_MCPPAT = VAR_MCPPAT)
}
