`slink` <- function(ped,af,mcsize,sexlinked=FALSE,seed=NULL)
  
{
  ##call c routine to carry out MC simulation using slink
  ##single marker locus

  max.ped <- 500 #limit on the number of pedigrees in slink
  ped <- as.matrix(ped)
  nind <- dim(ped)[1] #number of individuals
  nped <- length(unique(ped[,1])) #number of pedigrees
  nlocus <- 1 #single marker
  if(is.null(seed)) seed <- round(runif(1,1,30000)) #random seed
  if(sexlinked) sexlinked <- 1
  else sexlinked <- 0

  pedout <- matrix(0,nrow=nind*mcsize,ncol=dim(ped)[2])
  ped.id <- unique(ped[,1])
  for (i in 1:(nped %/% max.ped+1)) {
    if (i*max.ped >= nped) 
      ped1.id <- ped.id[((i-1)*max.ped+1):nped]
    else
      ped1.id <- ped.id[((i-1)*max.ped+1):(i*max.ped)]
    ped1.idx <- ped[,1] %in% ped1.id
    ped1 <- ped[ped1.idx,]
    nped1 <- length(ped1.id)
    nind1 <- nrow(ped1)

    pedout.idx <- rep(ped1.idx,times=mcsize)
    pedout[pedout.idx,] <- 
    .C("slinkc",as.integer(nind1),as.integer(nped1),as.integer(nlocus),
       as.integer(ped1),as.integer(sexlinked),as.double(af),
       as.integer(seed),as.integer(mcsize),as.integer(0),
       as.integer(0),out=as.integer(pedout[pedout.idx,]),PACKAGE="slink")$out
  }
  return(pedout)
}