\name{GDT}
\alias{GDT}
\title{
A Generalized Family-Based Association Test(GDT) for Dicotomous Traits
}
\description{
This function calculates the numerators of GDT for each pedigree.
}
\usage{
GDT(ped1)
}
\arguments{
  \item{ped1}{
The name of a standard linkage pedigree file or a matrix/dataframe containing pedigree relationship, genotype, and phenotype information, one row for each individual. The first 5 columns give the pedigree id, individual id, father id (0 if founder), mother id (0 if founder), and sex (1=male, 2=female), in that order. Note that these fields need to be numeric. The sixth column gives the affection status (1=unaffected; 2=affected; 0=unknown). The remaining columns code for marker genotypes (2 columns per SNP), with the two alleles for each marker represented by two consecutive numbers (0=missing).
}
}
\details{
For datasets without any missing genotypes, the code contains the Generalized Family-Based Association Test for Dicotomous Traits(GDT) by using an empirical moment estimator for the variance of score function. The code utilized the genotype different of all discordant relative pairs.
}
\value{
The function outputs the score(the numerator of the statistic) of GDT.
}
\references{
Li JL, Wang P, Wing KF, Zhou JY 2016 Generalized Disequilibrium Test for Association in Qualitative Traits Incorporating Imprinting Effects Based on Extended Pedigrees. (submitted)

Chen, W. M., Manichaikul, A., Rich, S. S. (2009). A generalized family-based association test for dichotomous traits. The American Journal of Human Genetics, 85(3):364-376.
}
\author{
Jian-Long Li, Peng Wang, Wing Kam FUng, Ji-Yuan Zhou.
}
\note{
The GDT function just can be used to test the comlete pedigree data. ped1 is required.
}

\seealso{

\link{MCGDTI}, \link{GDTI}, \link{GDTI.mc}, \link{MC_GDT}, \link{MC_GDTI}.

}
