\name{GDTI}
\alias{GDTI}
\title{
Generalized Disequilibrium Test for Association in Qualitative Traits Incorporating Imprinting Effects Based on Complete Extended Pedigrees
}
\description{
Generalized disequilibrium test for association in qualitative traits incorporating imprinting effects based on complete extended pedigrees.
}
\usage{
GDTI(ped1)
}
\arguments{
  \item{ped1}{
The name of a standard linkage pedigree file or a matrix/dataframe containing pedigree relationship, genotype, and phenotype information, one row for each individual. The first 5 columns give the pedigree id, individual id, father id (0 if founder), mother id (0 if founder), and sex (1=male, 2=female, 0 = unknown), in that order. Note that these fields need to be numeric. The 6th column gives the affection status (1=unaffected, 2=affected, 9=unknown). The remaining columns code for marker genotypes (2 columns per SNP), with the two alleles for each marker represented by two consecutive numbers (0=missing).
}
}
\details{
The code contains the generalized disequilibrium test for association in qualitative traits incorporating imprinting effects based on complete extended pedigrees.
}
\value{
The function outputs the score and the Fisher??s information matrix of GDTI.
}
\references{
Li, J. L., Wang, P., Fung, W. K., Zhou, J. Y. (2017). Generalized disequilibrium test for association in qualitative traits incorporating imprinting effects based on extended pedigrees. (submitted)
}
\author{
Jian-Long Li, Peng Wang, Wing Kam Fung, Ji-Yuan Zhou.
}
\note{
The GDTI function just accommodates the complete pedigree data. ped1 is required.
}

\seealso{
\link{MCGDTI}, \link{GDT_ME}, \link{GDTI.mc}, \link{MCGDT_ME}, \link{MC_GDTI}.
}
\examples{
}
