\name{GDT_ME}
\alias{GDT_ME}
\title{
Generalized Disequilibrium Test with the Moment Estimate of the Variance (GDT-ME) for Association in Dichotomous Traits
}
\description{
This function calculates the numerators of GDT-ME for each pedigree.
}
\usage{
GDT_ME(ped1)
}
\arguments{
  \item{ped1}{
The first 5 columns give the pedigree id, individual id, father id (0 if founder), mother id (0 if founder), and sex (1 = male, 2 = female, 0 = unknown), in that order. Note that these fields need to be numeric. The 6th column is the affection status (1 = unaffected, 2 = affected, 9 = unknown). From the 7th column, every consecutive two columns are the alleles at a SNP marker (0=missing). 
}
}
\details{
For datasets without any missing genotypes, the code contains the generalized disequilibrium test with the moment estimate of the variance (GDT-ME) for association in dichotomous traits. The code utilizes the genotype difference between all discordant relative pairs.
}
\value{
The function outputs the score (the numerator) of GDT-ME.
}
\references{
Chen, W. M., Manichaikul, A., Rich, S. S. (2009). A generalized family-based association test for dichotomous traits. The American Journal of Human Genetics, 85(3):364-376.
}
\author{
Jian-Long Li, Peng Wang, Wing Kam Fung, Ji-Yuan Zhou.
}
\note{
The GDT_ME function just accommodates the complete pedigree data. ped1 is required.
}

\seealso{

\link{MCGDTI}, \link{GDTI}, \link{GDTI.mc}, \link{MCGDT_ME}, \link{MCGDTI}.

}
