\name{MCGDT_ME}
\alias{MCGDT_ME}
\title{
Generalized Disequilibrium Test with the Moment Estimate of the Variance for Association in Dichotomous Traits by Using Monte Carlo Sampling and Scheme
}
\description{
Based on the general pedigree data from the makeped and slink procedures, the function calculates the numerator and the denominator of MCGDT-ME for each pedigree.
}
\usage{
MCGDT_ME(ped1, mcsize)
}
\arguments{
  \item{ped1}{
The name of a standard linkage pedigree file or a matrix/dataframe containing pedigree relationship, genotype, and phenotype information, one row for each individual. The first 5 columns give the pedigree id, individual id, father id (0 if founder), mother id (0 if founder), and sex (1=male, 2=female, 0 = unknown), in that order. Note that these fields need to be numeric. The 6th column gives the affection status (1=unaffected, 2=affected, 9=unknown). The remaining columns code for marker genotypes (2 columns per SNP), with the two alleles for each marker represented by two consecutive numbers (0=missing). 
}
  \item{mcsize}{
The Monte Carlo sample size. It can take any positive integer.
}
}
\details{
After the makeped and slink procedures, the input data set is transformed into complete pedigree data. Based on the data, the function calculates the numerator and the denominator of MCGDT-ME for all the pedigrees.
}
\value{
The function returns the numerator and the denominator of MCGDT-ME for all the pedigrees.
}
\references{
Chen, W. M., Manichaikul, A., Rich, S. S. (2009). A generalized family-based association test for dichotomous traits. The American Journal of Human Genetics, 85(3):364-376.

Ott, J., Lathrop, G. M. (1990). SLINK: a general simulation program for linkage analysis. The American Journal of Human Genetics, 47:A204.

Li, J. L., Wang, P., Fung, W. K., Zhou, J. Y. (2017). Generalized disequilibrium test for association in qualitative traits incorporating imprinting effects based on extended pedigrees. (submitted)
}
\author{
Jian-Long Li, Peng Wang, Wing Kam Fung, Ji-Yuan Zhou.
}
\note{
The function does not output the value of the test statistic and P value directly, and it only returns the numerator and the denominator of MCGDT-ME.
}
\seealso{
\link{MCGDTI}, \link{GDT_ME}, \link{GDTI.mc}, \link{GDTI}, \link{MC_GDTI},\link{slink}, \link{makeped}.
}
\examples{
}
