\name{MC_GDTI}
\alias{MC_GDTI}

\title{
Generalized Disequilibrium Test for Association in Qualitative Traits Incorporating Imprinting Effects Based on Incomplete pedigrees
}
\description{
After the makeped and slink procedures, the input data set is transformed into complete pedigree data. Based on the data, the function calculates the score function and the Fisher's information matrix of MCGDTI for all the pedigrees.
}
\usage{
MC_GDTI(ped.mc, mcsize, ped)
}
\arguments{
  \item{ped.mc}{
The pedigree file after the Monte Carlo sampling and estimation.
}
  \item{mcsize}{
The Monte Carlo sample size. It can take any positive integer.
}
  \item{ped}{
The original pedigree file where the missing individuals' genotypes have not been imputed by the Monte Carlo sampling and estimation.
}
}
\details{
After the makeped and slink procedures, the input data set is transformed into complete pedigree data. Based on the data, the function calculates the score function and Fisher's information matrix of MCGDTI statistic for all the pedigrees.
}
\value{
The function returns the score function and Fisher's information matrix of MCGDTI for all the pedigrees.
}
\references{
Chen, W. M., Manichaikul, A., Rich, S. S. (2009). A generalized family-based association test for dichotomous traits. The American Journal of Human Genetics, 85(3):364-376.

Ott, J., Lathrop, G. M. (1990). SLINK: a general simulation program for linkage analysis. The American Journal of Human Genetics, 47:A204.

Li, J. L., Wang, P., Fung, W. K., Zhou, J. Y. (2017). Generalized disequilibrium test for association in qualitative traits incorporating imprinting effects based on extended pedigrees. (submitted)
}
\author{
Jian-Long Li, Peng Wang, Wing Kam Fung, Ji-Yuan Zhou.
}
\note{
The function does not output the value of the test statistic and the corresponding P value directly, and it only outputs the score function and the elements of Fisher's information matrix for all the pedigree.
}
\seealso{
\link{MCGDTI}, \link{GDT_ME}, \link{GDTI.mc}, \link{MCGDT_ME}, \link{GDTI}, \link{slink}, \link{makeped}.
}
\examples{
}
