\name{PPAT}
\alias{PPAT}
\title{
Pedigree parental-asymmetry test
}
\description{
This function outputs the numerators of PPAT statistic for each pedigree.
}
\usage{
PPAT(ped)
}

\arguments{
  \item{ped}{
The name of a standard linkage pedigree file or a matrix/dataframe containing pedigree relationship, genotype, and phenotype information, one row for each individual. The first 5 columns give the pedigree id, individual id, father id (0 if founder), mother id (0 if founder), and sex (1=male, 2=female, 0 = unknown), in that order. Note that these fields need to be numeric. The 6th column gives the affection status (1=unaffected, 2=affected, 9=unknown). The remaining columns code for marker genotypes (2 columns per SNP), with the two alleles for each marker represented by two consecutive numbers (0=missing). 
}
}
\details{
Based on the given data set, the function outputs the numerators of PPAT statistic for each pedigree instead of statistic and the corresponding P value.
}
\value{
This function returns the contribution of each pedigree to the numerators of parental-asymmetry tests (PPAT) statistic.
}
\references{
Zhou, J. Y., Ding, J., Fung, W. K., Lin, S. (2010). Detection of parent-of-origin effects using general pedigree data. Genetic Epidemiology, 34(2):151-158.
}
\author{
Jian-Long Li, Peng Wang, Wing Kam Fung, Ji-Yuan Zhou.
}
\note{
If there are missing genotypes for some offspring, this procedure simply skips to next analysis.
}
\seealso{
\link{MCGDTI}.
}


