\name{PPAT.mc}
\alias{PPAT.mc}
\title{
Monte Carlo Pedigree Parental-Asymmetry Test (MCPPAT) for Genomic Imprinting Effects in Qualitative Traits
}
\description{
Based on the general pedigree data from the makeped and slink procedures, the function calculates the numerators and denominators of the MCPPAT test statistics for each pedigree.
}
\usage{
PPAT.mc(ped, allele = NULL, mcsize = 1)
}

\arguments{
  \item{ped}{
Pedigree data without missing genotypes. The last column of it is the original family id, and the first column is the nuclear family id. The remaining columns are in the standard linkage format.
}
  \item{allele}{
Alleles at each locus to calculate the statistics. The default value is allele 1 for each locus.
}
  \item{mcsize}{
The Monte Carlo sample size. It can take any positive integer.
}
}
\details{
After being processed by the makeped and slink procedures, the input data set is transformed into complete pedigree data. Based on the data, the function calculates the numerators and denominators of the MCPPAT test statistics for each pedigree.
}
\value{
The function returns the numerators and denominators of the MCPPAT test statistics for each pedigree.
}
\references{
Ding, J., Lin, S., Liu, Y. (2006). Monte Carlo pedigree disequilibrium test for markers on the X chromosome. The American Journal of Human Genetics, 79(3):567-573.

Ott, J., Lathrop, G. M. (1990). SLINK: a general simulation program for linkage analysis. The American Journal of Human Genetics, 47:A204.

Zhou, J. Y., Ding, J., Fung, W. K., Lin, S. (2010). Detection of parent-of-origin effects using general pedigree data. Genetic Epidemiology, 34(2):151-158.
}
\author{
Jian-Long Li, Peng Wang, Wing Kam Fung, Ji-Yuan Zhou.
}
\note{
The function does not output the values of the test statistics and the corresponding P values directly, and it only outputs the numerators and denominators of the MCPPAT test statistics.
}
\seealso{
\link{MCGDTI}.
}


