\name{makeped}
\alias{makeped}
\title{
The makeped program
}
\description{
This function translates standard linkage pedigree data to so-called "post-MAKEPED" and allows for some inconsistences to be detected.
}
\usage{
makeped(ped)
}
\arguments{
  \item{ped}{
The name of a standard linkage pedigree file or a matrix/dataframe containing pedigree relationship, genotype, and phenotype information, one row for each individual. The first 5 columns give the pedigree id, individual id, father id (0 if founder), mother id (0 if founder), and sex (1=male, 2=female), in that order. Note that these fields need to be numeric. The sixth column gives the affection status (1=unaffected; 2=affected; 0=unknown). The remaining columns code for marker genotypes (2 column per SNP), with the two alleles for each marker represented by two consecutive numbers (0=missing).

}
}
\details{
Makeped program is used for converting pre-makeped format pedigree file to LINKAGE format (post-makeped) and braking consanguinity or marriage loops in pedigree. The output files are used to conduct Monte Carlo sampling by slink procedure.
}
\value{
The output dataset of makeped procedure can be used by slink procedure for Monte Carlo sampling.
}
\references{
}
\author{
Adapted from makeped.c by Jie Ding, W Li and others.
}
\note{

}
\seealso{
\link{slink}, \link{MCGDTI}.
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (ped)
{
    ped <- as.matrix(ped)
    nind <- dim(ped)[1]
    pedout <- matrix(0, nrow = nind, ncol = dim(ped)[2] + 4)
    pedout[, ] <- .C("makepedc", as.integer(nind), as.integer(ped),
        out = as.integer(pedout), PACKAGE = "makeped")$out
    pedout
  }
}

