\name{pedig}
\alias{pedig}
\title{
Divide the pedigree dataset into several parts
}
\description{
Note that the makeped procedure has the limit for the number of rows in the dataset. So, if the dataset contains too many rows (out of the limit), then we need to cut the whole dataset into several subsets so that the R code can run smoothly.
}
\usage{
pedig(ped)
}

\arguments{
  \item{ped}{
The name of a standard linkage pedigree file or a matrix/dataframe containing pedigree relationship, genotype, and phenotype information, one row for each individual. The first 5 columns give the pedigree id, individual id, father id (0 if founder), mother id (0 if founder), and sex (1=male, 2=female), in that order. Note that these fields need to be numeric. The sixth column gives the affection status (1=unaffected; 2=affected; 0=unknown). The remaining columns code for marker genotypes (2 column per SNP), with the two alleles for each marker represented by two consecutive numbers (0=missing).
}
}
\details{
Note that the makeped procedure has the limit for the number of rows in the dataset. So, if the dataset contains too many rows (out of the limit), then we need to cut the whole dataset into several subsets so that the R code can run smoothly.
}
\value{
The function returns the order and the position of each subset.
}
\references{
}
\author{
Ji-Yuan Zhou and Hai-Qiang He
}
\note{
The results can be used in MCGDTI function.
}
\seealso{
\link{MCGDTI}.
}


