\name{slink}
\alias{slink}
\title{
A general simulation program for linkage analysis
}
\description{
The slink procedure conducts Monte Carlo sampling using pedigree data from makeped procedure.
}
\usage{
slink(ped, af, mcsize, sexlinked = FALSE, seed = NULL)
}

\arguments{
  \item{ped}{
The pedigree dataset which is processed by makeped procedure.
}
  \item{af}{
Dataframe/matrix of marker allele frequencies, one column for each marker locus.
}
  \item{mcsize}{
The Monte Carlo sample size. It can take any positive integer.
}
  \item{sexlinked}{
Whether or not the markers are on X chromosome. If the markers are on X chromosome, sexlinked is "TRUE", otherwise, sexlinked is "FALSE". Note that MCPDTI can only be used to test for association at markers on autosomes, thus the sexlinked option should be fixed to "FALSE".
}
  \item{seed}{
The random seed for slink procedure.
}
}
\details{
The SLINK program allows one to carry out such power calculation by simulating genotypes at one locus given the phenotypes at another locus linked with the first locus. It draws independent samples from all possible combinations of pedigree data with missing genotypes based on allele frequencies.
}
\value{
The function returns Monte Carlo sample of pedigree dataset.
}
\references{
Weeks DE, Ott J, Lathrop GM. 1990 SLINK: a general simulation program for linkage analysis. American Journal of Human Genetics, 47:A204.

Jie Ding, Shili Lin, Yang Liu. 2006 Monte Carlo pedigree disequilibrium test for markers on X chromosome. American Journal of Human Genetics, 79, 567-573.
}
\author{
Jie Ding, Weeks DE, Ott J, Lathrop GM.
}
\note{
Pedigree ID may be names or numbers. If they are numbers, they must not exceed the maximum number of pedigrees specified.
}
\seealso{
\link{MCGDTI}.
}
\examples{
}

